Debian Bug report logs - #624162
RFA: darcs -- distributed, interactive, smart revision control system

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Tue, 26 Apr 2011 05:57:01 UTC

Severity: normal

Fixed in version darcs/2.5.2-3

Done: Iain Lane <laney@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-haskell@lists.debian.org, wnpp@debian.org:
Bug#624162; Package wnpp. (Tue, 26 Apr 2011 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-haskell@lists.debian.org, wnpp@debian.org. (Tue, 26 Apr 2011 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFA: darcs -- distributed, interactive, smart revision control system
Date: Tue, 26 Apr 2011 15:55:24 +1000
Package: wnpp
Severity: normal

I request an adopter for the darcs package.

The package description is:
 Darcs is a free, open source revision control system.  It is:
 .
  * Distributed: Every user has access to the full command set,
    removing boundaries between server and client or committer and
    non-committers.
  * Interactive: Darcs is easy to learn and efficient to use because
    it asks you questions in response to simple commands, giving you
    choices in your work flow. You can choose to record one change in
    a file, while ignoring another. As you update from upstream, you
    can review each patch name, even the full "diff" for interesting
    patches.
  * Smart: Originally developed by physicist David Roundy, darcs is
    based on a unique algebra of patches. This smartness lets you
    respond to changing demands in ways that would otherwise not be
    possible.

Due to loss of interest and time, I am no longer able maintain Darcs
effectively.  I expect the Debian Haskell Group (DHG, CC'd) will
probably adopt it.

I tried to leave Darcs in a reasonable state, ref.
http://lists.debian.org/debian-haskell/2011/04/msg00132.html
and the rest of that thread.




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 26 Sep 2011 01:06:48 GMT) Full text and rfc822 format available.

Reply sent to Iain Lane <laney@debian.org>:
You have taken responsibility. (Tue, 27 Sep 2011 19:03:03 GMT) Full text and rfc822 format available.

Notification sent to "Trent W. Buck" <trentbuck@gmail.com>:
Bug acknowledged by developer. (Tue, 27 Sep 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #12 received at 624162-close@bugs.debian.org (full text, mbox):

From: Iain Lane <laney@debian.org>
To: 624162-close@bugs.debian.org
Subject: Bug#624162: fixed in darcs 2.5.2-3
Date: Tue, 27 Sep 2011 19:02:29 +0000
Source: darcs
Source-Version: 2.5.2-3

We believe that the bug you reported is fixed in the latest version of
darcs, which is due to be installed in the Debian FTP archive:

darcs_2.5.2-3.debian.tar.gz
  to main/d/darcs/darcs_2.5.2-3.debian.tar.gz
darcs_2.5.2-3.dsc
  to main/d/darcs/darcs_2.5.2-3.dsc
darcs_2.5.2-3_amd64.deb
  to main/d/darcs/darcs_2.5.2-3_amd64.deb
libghc-darcs-dev_2.5.2-3_amd64.deb
  to main/d/darcs/libghc-darcs-dev_2.5.2-3_amd64.deb
libghc-darcs-doc_2.5.2-3_all.deb
  to main/d/darcs/libghc-darcs-doc_2.5.2-3_all.deb
libghc-darcs-prof_2.5.2-3_amd64.deb
  to main/d/darcs/libghc-darcs-prof_2.5.2-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 624162@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Iain Lane <laney@debian.org> (supplier of updated darcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 25 Sep 2011 11:38:51 +0100
Source: darcs
Binary: darcs libghc-darcs-dev libghc-darcs-prof libghc-darcs-doc
Architecture: source all amd64
Version: 2.5.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Changed-By: Iain Lane <laney@debian.org>
Description: 
 darcs      - distributed, interactive, smart revision control system
 libghc-darcs-dev - distributed, interactive, smart revision control system; library
 libghc-darcs-doc - distributed, interactive, smart revision control system; document
 libghc-darcs-prof - distributed, interactive, smart revision control system; profilin
Closes: 624162 632494 642710
Changes: 
 darcs (2.5.2-3) unstable; urgency=low
 .
   [ Erik de Castro Lopo ]
   * debian/control:
     - Standards version 3.9.2 (no changes)
     - Fix uploaders line
 .
   [ Iain Lane ]
   * Adopt for the DHG with Erik as uploader (Closes: #624162)
   * Bump required versions on regex-{compat,posix} to those in Debian. Patch
     cherry-picked from upstream. (Closes: #642710)
   * Explicitly use /bin/bash for tests; works around failure on buildds with
     dash (Closes: #632494)
   * Convert to CDBS with hlibrary.mk and build darcs library packages
   * Update d/copyright
Checksums-Sha1: 
 53421f756a650cff0bfa99a6711e57a2fc6c3441 3179 darcs_2.5.2-3.dsc
 d6d9050d7fb8070a46533463df0629b53441c39b 17036 darcs_2.5.2-3.debian.tar.gz
 12ae359c7853739df79167da417b3e2e0b2b778c 1155806 libghc-darcs-doc_2.5.2-3_all.deb
 52f3c75dc789407b98b211140a342e108be2970e 2525150 darcs_2.5.2-3_amd64.deb
 e842dfe14aab8e69aa5974ab2b6f62facf8d2aea 5227806 libghc-darcs-dev_2.5.2-3_amd64.deb
 36844a2e6417e4bfc392292f48070bacf2d4d1dd 7735070 libghc-darcs-prof_2.5.2-3_amd64.deb
Checksums-Sha256: 
 f7c1a89660fc4d02c151484fac0df2057bb8e58cfec4866dddf08158a7a1d395 3179 darcs_2.5.2-3.dsc
 7117a3406db699707d4d11199ae56ab1f691e448b3f7a92b0cdb06fc76ece321 17036 darcs_2.5.2-3.debian.tar.gz
 47c2a304fad065be683459a846277c1e40532f5dae4bc4cbae6a3ce33ff0a10b 1155806 libghc-darcs-doc_2.5.2-3_all.deb
 58f1bab0ad7502f84e2a6811ef5a62f1271b3dda2815f1cde0539744159073d1 2525150 darcs_2.5.2-3_amd64.deb
 c69cf521d2644fde899b7ae5dfbc90e0b70d4409e25bd1dac84594d22d5b88d3 5227806 libghc-darcs-dev_2.5.2-3_amd64.deb
 2e66fe534407da7b453a1febba3e039cd3237afcbb6e95fd13a17c4a93af7fdb 7735070 libghc-darcs-prof_2.5.2-3_amd64.deb
Files: 
 63542fdbe43d2cc59fd8a0a401a10766 3179 haskell optional darcs_2.5.2-3.dsc
 5d5b6ee45bd2e0e155aa6a1b5c2eacd1 17036 haskell optional darcs_2.5.2-3.debian.tar.gz
 f7e2e710282221f1962c8b45ac029069 1155806 doc optional libghc-darcs-doc_2.5.2-3_all.deb
 8e795c7f6caf729bf452539ffbeface3 2525150 vcs optional darcs_2.5.2-3_amd64.deb
 b505693ec0630e454b7755e833b7bbc7 5227806 haskell optional libghc-darcs-dev_2.5.2-3_amd64.deb
 ad6915d3993581214cadd29a5e6c8864 7735070 haskell optional libghc-darcs-prof_2.5.2-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOfwm0AAoJEONS1cUcUEHUsPMP/itMJgTVeSMmfWerBKdkYLAf
Q0LCn71XDVKFB3zFq0lJPvJ8aXf03mxdxhmWdKET/dQv9PKzNIO0NL74kFVJbs4k
7piRDw1PJQWiYjG+wOJx/lFJfn0QOOaG+Kd6c/vG0RnjccZVenAFSXbDWOcyLG6h
HnmsQZMcSO8VHfzQQtxNdopXEB1s/ob9YyhvC3aP6smY8IZ+W+4QLtBTsg4lUK4Q
D3pOh/mR/M649/pehVQlKJNxIyKlRTokZjnXXJHkaVeYWwQirBv2oO3LWXb0i3zt
j6/R2el3+b1rjNXb23mO8nu1E0I1TSYjkGzPzrZS+ts4kD7uvY6BtfJa+xttmiv5
X8baG+nO7qxlFt9C+ysFZPUtKkg0ZFJI1Fj7p8NxOXA/jhJ1BX11LddifNOZw9A6
HklzTjAD3uF0pAP9d0G2LquM8HdRXCNRY0C1bFW83FK597PxFuLl9ighalxxwMUi
iheAYUkiOWEX2dg4PDCedvACBbbuFeBxsqGdRPjOIGdofvXe6sFIB1843wZb9u6X
9EASWHxHoMvxNNux5KONupUlpHJcsbwx1HGgEj48dOz4x3pAMQT+4naBzoLbKA/O
efCe0+YGVHnB3/7QPvqpTZaKfNzTC7hiAiETuii+xAY+QHhow2T2EaSJvmrWRlQ5
JNH72O30KYkl0ozTyD8Z
=aDxw
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Oct 2011 07:40:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:56:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.